/* =========================================
   FUFU OFFCANVAS - GLOBAL
========================================= */

html.has-fufu-product-filters,
html.has-fufu-fabric-samples-filters,
html.has-fufu-product-filters body,
html.has-fufu-fabric-samples-filters body,
body.fufu-product-config-open,
body.fufu-fabric-config-open {
  overflow: hidden;
}

.fufu-offcanvas[hidden] {
  display: none !important;
}

.fufu-offcanvas {
  position: fixed;
  inset: 0;
  z-index: 9999;
  display: block;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition:
    opacity 450ms cubic-bezier(0.69, 0, 0.47, 1),
    visibility 450ms cubic-bezier(0.69, 0, 0.47, 1);
}

.fufu-offcanvas.is-open {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

.fufu-offcanvas__overlay {
  position: absolute;
  inset: 0;
  z-index: 1;
  background: rgba(26, 26, 26, 0.4);
}

.fufu-offcanvas__panel {
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 2;
  width: min(100%, 34rem);
  display: flex;
  flex-direction: column;
  background: var(--c-black-01);
  color: var(--c-turquoise-03);
  overflow: hidden;
  transform: translateX(100%);
  transition: transform 450ms cubic-bezier(0.69, 0, 0.47, 1);
}

.fufu-offcanvas.is-open .fufu-offcanvas__panel {
  transform: translateX(0);
}

.fufu-offcanvas--right .fufu-offcanvas__panel {
  right: 0;
}

.fufu-offcanvas--left .fufu-offcanvas__panel {
  left: 0;
  transform: translateX(-100%);
}

.fufu-offcanvas--left.is-open .fufu-offcanvas__panel {
  transform: translateX(0);
}

.fufu-offcanvas__header {
  min-height: 9.25rem;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1rem;
  /* padding: 2.625rem var(--space-page-x) 0 var(--space-page-x); */
  padding: 2.625rem 1.5rem 0 1.5rem;
  border-bottom: 1px solid var(--c-turquoise-additional-03);
}

.fufu-offcanvas__title {
  margin: 0;
  color: var(--c-turquoise-03);
}

.fufu-offcanvas__close {
  flex: 0 0 auto;
}

.fufu-offcanvas__body {
  flex: 1 1 auto;
  min-height: 0;
  /* padding: var(--space-page-x); */
  overflow-y: auto;
}

.fufu-offcanvas__footer {
  display: flex;
  gap: 0.75rem;
  border-top: 1px solid var(--c-turquoise-additional-03);
  margin-top: auto;
  /* padding: 1.5rem var(--space-page-x) 2rem var(--space-page-x); */
  padding: 1.5rem;
  border-top: 1px solid var(--c-black-03);
}

.fufu-offcanvas__footer .fufu-button,
.fufu-offcanvas__footer .fufu-button-outline {
  width: 100%;
}

/* =========================================
   PRODUCT FILTERS OFFCANVAS
========================================= */

.fufu-product-filters__body:empty::before {
  content: "Filtry zostaną podpięte w kolejnym kroku.";
  display: block;
  color: var(--c-black-05);
}

@media (max-width: 767px) {
  .fufu-offcanvas__panel {
    width: 100%;
  }

  /* .fufu-offcanvas__header,
  .fufu-offcanvas__body,
  .fufu-offcanvas__footer {
    padding-left: 1rem;
    padding-right: 1rem;
  } */
}
